gsm0503_parity.c File Reference
Parity
`#include <stdint.h>`
`#include <osmocom/core/crcgen.h>`
`#include <osmocom/coding/gsm0503_parity.h>`

## Variables

const struct osmo_crc64gen_code | gsm0503_fire_crc40
| GSM (SACCH) parity (FIRE code) More...
const struct osmo_crc16gen_code | gsm0503_cs234_crc16
| GSM PDTCH CS-2, CS-3, CS-4 parity. More...
const struct osmo_crc8gen_code | gsm0503_mcs_crc8_hdr
| EDGE MCS header parity. More...
const struct osmo_crc16gen_code | gsm0503_mcs_crc12
| EDGE MCS data parity. More...
const struct osmo_crc8gen_code | gsm0503_rach_crc6
| GSM RACH parity. More...
const struct osmo_crc16gen_code | gsm0503_sch_crc10
| GSM SCH parity. More...
const struct osmo_crc8gen_code | gsm0503_tch_fr_crc3
| GSM TCH FR/HR/EFR parity. More...
const struct osmo_crc8gen_code | gsm0503_tch_efr_crc8
| GSM TCH EFR parity. More...
const struct osmo_crc8gen_code | gsm0503_amr_crc6
| GSM AMR parity. More...